[cobertura: 6/6] Add forgotten create-tarball.sh script

Michal Srb msrb at fedoraproject.org
Wed Aug 7 07:37:15 UTC 2013


commit b38bb064784d4ade8d726ba25b7b796a781b47ae
Author: Michal Srb <msrb at redhat.com>
Date:   Wed Aug 7 09:29:44 2013 +0200

    Add forgotten create-tarball.sh script

 create-tarball.sh |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)
---
diff --git a/create-tarball.sh b/create-tarball.sh
new file mode 100755
index 0000000..efd3fcd
--- /dev/null
+++ b/create-tarball.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+if [ $# -ne 1 ]; then
+    echo "Usage: ./create-tarball.sh VERSION"
+    exit 1
+fi
+
+VERSION=${1}
+NAME="cobertura"
+
+wget http://downloads.sourceforge.net/${NAME}/${NAME}-${VERSION}-src.tar.bz2
+tar xvf ${NAME}-${VERSION}-src.tar.bz2
+rm ${NAME}-${VERSION}-src.tar.bz2
+# remove unneeded stuff
+find ./${NAME}-${VERSION}/lib/ -type f -delete
+find ./${NAME}-${VERSION}/antLibrary/common -type f -delete
+# this directory contains some files under non-free license (#850481)
+# these files are probably not copyrightable, but since we don't need them,
+# we can remove them
+find ./${NAME}-${VERSION}/etc/dtds/ -type f -delete
+
+tar czvf ${NAME}-${VERSION}-clean.tar.gz ./${NAME}-${VERSION}
+


More information about the scm-commits mailing list